#ifndef __SORTER_H__
#define __SORTER_H__

#include "QSInterface.h"
#include <iostream>

using namespace std;

class sorter : public QSInterface {
    public:
		void sortAll(int data[], int size);
		void sort(int data[], int size, int left, int right);
		void medianOfThree(int data[], int size, int left, int right);
		int partition(int data[], int size, int left, int right);
		void swap(int data[], int size, int i, int j);
};
#endif
